:root {
  --altura-maxima-panel: 500px;
}
.paragraph--type--text-and-image {
  padding: 3rem 0;
}
.contenedor-panel {
  display: flex;
  align-items: stretch;
  width: 100%;
  min-height: var(--altura-maxima-panel);
  overflow: hidden;
  background-color: transparent;
}

.imagen-panel-wrapper,
.texto-panel {
  box-sizing: border-box;
  flex: 0 0 50%;
  display: flex;
  flex-direction: column;
}

.imagen-panel-wrapper {
  justify-content: center;
  align-items: center;
  /*   background-color: #f9f9f9; */
}

.imagen-panel-wrapper img {
  max-width: 100%;
  max-height: 100%;
  width: 600px;
  height: auto;
  object-fit: cover;
  display: block;
  border-radius: 30px;
}

.texto-panel {
  padding: 3rem;
  justify-content: center;
  overflow-y: auto;
  position: relative;
  display: block;
  z-index: 6;
}
/* .texto-panel::after {
  content: "";
  position: absolute;
  background-image: url(../../images/lineas.svg);
  top: 0;
  z-index: -1;
  height: 60%;
  background-size: contain;
  background-repeat: no-repeat;
  width: 318px;
  transform: translateX(-50%);
  left: 50%;
  background-position: center;
} */
.paragraph--type--text-and-image.paragraph--reverse .contenedor-panel {
  flex-direction: row-reverse;
}

@media screen and (max-width: 768px) {
  .contenedor-panel {
    display: flex;
    flex-direction: column !important;
    max-height: none;
  }

  .imagen-panel-wrapper,
  .texto-panel {
    flex-basis: 100%;
  }

  .imagen-panel-wrapper img {
    height: auto;
    max-height: 300px;
  }

  .texto-panel {
    padding: 2rem;
    overflow-y: visible;
  }
}
